<?php
$title = 'Массовая рассылка уведомлений';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

$sys['system']['notifss'] = $sys['system']['notifss'] ?? 10;
$sys['modules']['notifsss'] = $sys['modules']['notifsss'] ?? 1;

if (isset($active) && $sys['modules']['notifsss'] == 1) {

    echo '<div class="title">Массовая рассылка уведомлений</div>';

    if (isset($_POST['submit'])) {

        $error = '';

        if ($user['money'] < $sys['system']['notifss']) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if ($count_users == 1) {
            $error.= 'Кроме вас больше нет пользователей!<br/>';
        }
        if (isset($_POST['friends']) && $count_friends == 0) {
            $error.= 'Список друзей пуст!<br/>';
        }
        if (empty($_POST['text'])) {
            $error.= 'Введите текст уведомления!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            if (isset($_POST['friends'])) {

                $data = $connect->prepare("select * from `friend` where `status` = '1' and (`from` = :uid or `to` = :uid) order by `point` desc");
                $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    $friend = $row['from'] == $user['id'] ? $row['to'] : $row['from'];

                    notification($_POST['text'], $friend);

                }

            } else {

                $sql = $connect->query("select * from `users` order by `id`")->fetchAll();

                foreach ($sql as $row) {

                    if ($row['id'] != $user['id'])
                        notification($_POST['text'], $row['id']);

                }

            }

            pay(-$sys['system']['notifss'], $user['id']);

            header('Refresh: 1');

            echo '<div class="menu">Уведомление разослано!</div>';

        }

    }

    SmilesAndBB('#notif');

    echo '<div class="menu">
    <form action="" method="POST">
    Уведомление:<br/><textarea id="notif" name="text"></textarea><br/>
    <input type="submit" name="submit" value="Разослать">
    <input type="checkbox" name="friends" value="1">Только друзьям<br/>
    <div class="chi">Стоимость: '.rub($sys['system']['notifss']).'</div>
    </form></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>